
Redmine - Defect #11510

Spent Time: Create and Continue functionality

2012-07-26 04:41 - Steve Cook

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.4.1

Description

Clicking the "Create and Continue" button on the time recording page resets all fields of the form (notably the project choice in the

dropdown).

Would suggest maintaining the field states when using this feature, as that is how I have seen this feature used (and we've also had

times incorrectly attributed to projects because the user has simply updated the dates and hours for the ticket, expecting the "create

and continue" button to maintain the same ticket.

Environment Deets:

Operating System

Ubuntu Linux 10.04 LTS

Database version

MySQL Ver 5.1.62-0ubuntu0.10.04.1 for debian-linux-gnu on i486 ((Ubuntu))

Ruby version

ruby 1.8.7 (2010-01-10 patchlevel 249) [i486-linux]

Rails version

Rails 2.3.14

Redmine version

1.4.1.stable

Web server info

Apache 2.2.14-5ubuntu8.9

Passenger 3.0.2

SCM binary version

git version 1.7.0.4

More information

deployer@redmine:/var/www/redmine.previousnext.com.au/current$ RAILS_ENV=production ruby script/about

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.4.2

Rack version              1.1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /var/www/redmine.previousnext.com.au/releases/20120507110721

Environment               production

Database adapter          mysql

Database schema version   20120301153455

About your Redmine plugins

Redmine Github Hook plugin                                     0.1.1

Timesheet Plugin                                               0.6.0

Boards watchers management and sticky priority levels add-on   0.1.3
Redmine Light Box plugin                                       0.0.1

Redmine Backlogs                                               v0.9.3

History

#1 - 2012-07-26 04:41 - Steve Cook

I just realised this has been fixed in 1.4.3.

Thanks!

#2 - 2012-07-26 08:23 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid
